%define anolis_release 1

%define libmatchbox_devel_ver 1.9-1
%define alphatag 20070628svn

%define _legacy_common_support 1

Summary:       Window manager for the Matchbox Desktop
Name:          matchbox-window-manager
Version:       1.2
Release:       %{anolis_release}.%{alphatag}%{?dist}
Url:           http://matchbox-project.org/
# svn checkout http://svn.o-hand.com/repos/matchbox/trunk/matchbox-window-manager
License:       GPLv2+
Source0:       %{name}-%{version}-%{alphatag}.tar.gz

Patch1: matchbox-window-manager-1.2-keysyms.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig 
BuildRequires:  expat-devel
BuildRequires:  libmatchbox-devel >= %{libmatchbox_devel_ver}
BuildRequires:  startup-notification-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pango-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXcursor-devel
Requires:       filesystem

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the window manager from Matchbox.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%patch1 -p2 -b .keysyms

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%{_bindir}/*
%dir %{_sysconfdir}/matchbox
%config(noreplace) %{_sysconfdir}/matchbox/kbdconfig
%dir %{_datadir}/matchbox
%{_datadir}/matchbox/*
%{_datadir}/themes/*

%files doc
%doc AUTHORS README ChangeLog COPYING

%changelog
* Thu Jun 15 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2-1.20070628svn
- Init upstream from version 1.2
